Skip to content
Endless Documentation

Create Team

POST
/organizations/{organization_id}/teams

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/organizations/org_abc123/teams" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "team": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organization_id": "string",    "name": "string",    "description": "string",    "color": "string",    "icon_url": "string",    "spending_limit": -2147483648,    "created_by_id": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "memberships": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",      "user_id": "string",      "organization_id": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ]}